const CommandorPage = require("./workers/CommandorPage");
const ContactPojo = require("./models/ContactPojo");
const {MongoManager} = require("./workers/mongo_manager");
const mongoManager = new MongoManager();


mongoManager.connect().then(r => {
        // let contact = new ContactPojo("0649614591", "1234567890", "PAN", "Lei", "panleicim@gmail.com")
        // let commandPage = new CommandorPage(contact, null, mongoManager)
        // commandPage.deleteFromBlackList().then(r => {
        //     console.log("saved to db")
        // })
        mongoManager.getAllAcceptedAppointments().then(acceptedList => {
                acceptedList.forEach((item) => {
                    console.log(item.email)
                    console.log(item.accepted_at)
                })
            }
        )
    }
)